Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections
Class TreeBag

    java.lang.Object
      org.apache.commons.collections.DefaultMapBag
          org.apache.commons.collections.TreeBag

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection, Bag, SortedBag

Deprecated. Moved to bag subpackage and rewritten internally. Due to be removed in v4.0.

    public class TreeBag

extends DefaultMapBag
implements SortedBag

A `Bag` that is backed by a `TreeMap`. Order will be maintained among the unique representative members.

Since:
  Commons Collections 2.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Chuck Burdick

Constructor Summary
`TreeBag()` Deprecated. Constructs an empty `TreeBag`.
`TreeBag(java.util.Collection coll)` Deprecated. Constructs a `Bag` containing all the members of the given collection.
`TreeBag(java.util.Comparator comparator)` Deprecated. Constructs an empty `Bag` that maintains order on its unique representative members according to the given `Comparator`.

Method Summary
`java.util.Comparator` | `comparator()` Deprecated. Returns the comparator associated with this sorted set, or null if it uses its elements' natural ordering.
`java.lang.Object` | `first()` Deprecated. Returns the first (lowest) member.
`java.lang.Object` | `last()` Deprecated. Returns the last (highest) member.

Methods inherited from class org.apache.commons.collections.DefaultMapBag
`add, add, addAll, calcTotalSize, clear, contains, containsAll, containsAll, equals, getCount, getMap, hashCode, isEmpty, iterator, remove, remove, removeAll, retainAll, retainAll, setMap, size, toArray, toArray, toString, uniqueSet`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.commons.collections.Bag
`add, add, containsAll, getCount, iterator, remove, remove, removeAll, retainAll, size, uniqueSet`

Methods inherited from interface java.util.Collection
`addAll, clear, contains, equals, hashCode, isEmpty, toArray, toArray`

Constructor Detail

### TreeBag

    public TreeBag()

  Deprecated.
  Constructs an empty `TreeBag`.

### TreeBag

    public TreeBag(java.util.Comparator comparator)

  Deprecated.
  Constructs an empty `Bag` that maintains order on its unique representative members according to the given `Comparator`.

  Parameters:
    `comparator` - the comparator to use

### TreeBag

    public TreeBag(java.util.Collection coll)

  Deprecated.
  Constructs a `Bag` containing all the members of the given collection.

  Parameters:
    `coll` - the collection to copy into the bag

Method Detail

### first

    public java.lang.Object first()

  Deprecated.
  Description copied from interface: `SortedBag`
  Returns the first (lowest) member.

  Specified by:
    `first` in interface `SortedBag`
  Returns:
    the first element in the sorted bag

### last

    public java.lang.Object last()

  Deprecated.
  Description copied from interface: `SortedBag`
  Returns the last (highest) member.

  Specified by:
    `last` in interface `SortedBag`
  Returns:
    the last element in the sorted bag

### comparator

    public java.util.Comparator comparator()

  Deprecated.
  Description copied from interface: `SortedBag`
  Returns the comparator associated with this sorted set, or null if it uses its elements' natural ordering.

  Specified by:
    `comparator` in interface `SortedBag`
  Returns:
    the comparator in use, or null if natural ordering

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.